diff --git a/web/pgadmin/tools/debugger/static/js/debugger.js b/web/pgadmin/tools/debugger/static/js/debugger.js
index 13ff1f3af..6632b83c1 100644
--- a/web/pgadmin/tools/debugger/static/js/debugger.js
+++ b/web/pgadmin/tools/debugger/static/js/debugger.js
@@ -614,6 +614,7 @@ define([
                       'frm_debugger', wcDocker.DOCK.STACKED, dashboardPanel[0]
                     ),
                     db_label = newTreeInfo.database.label;
+                  pgadminUtils.registerDetachEvent(panel);
 
                   if(data && data.data_obj && data.data_obj.db_name != newTreeInfo.database.label) {
                     db_label = data.data_obj.db_name;
diff --git a/web/pgadmin/tools/schema_diff/static/js/schema_diff.js b/web/pgadmin/tools/schema_diff/static/js/schema_diff.js
index 4f132c069..2c257c87f 100644
--- a/web/pgadmin/tools/schema_diff/static/js/schema_diff.js
+++ b/web/pgadmin/tools/schema_diff/static/js/schema_diff.js
@@ -9,9 +9,9 @@
 
 define('pgadmin.schemadiff', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'sources/pgadmin', 'sources/csrf', 'pgadmin.alertifyjs', 'pgadmin.browser.node',
+  'sources/pgadmin', 'sources/csrf', 'pgadmin.alertifyjs', 'sources/utils', 'pgadmin.browser.node',
 ], function(
-  gettext, url_for, $, _, pgAdmin, csrfToken, Alertify,
+  gettext, url_for, $, _, pgAdmin, csrfToken, Alertify, commonUtils,
 ) {
 
   var wcDocker = window.wcDocker,
@@ -119,6 +119,8 @@ define('pgadmin.schemadiff', [
         var propertiesPanel = pgBrowser.docker.findPanels('properties'),
           schemaDiffPanel = pgBrowser.docker.addPanel('frm_schemadiff', wcDocker.DOCK.STACKED, propertiesPanel[0]);
 
+        commonUtils.registerDetachEvent(schemaDiffPanel);
+
         // Rename schema diff tab
         schemaDiffPanel.on(wcDocker.EVENT.RENAME, function(panel_data) {
           Alertify.prompt('', panel_data.$titleText[0].textContent,
